Problem Installing Salome 8.5 with Code_Saturne 5.0.9

All questions about installation
Forum rules
Please read the forum usage recommendations before posting.
Post Reply
Mohammad
Posts: 4
Joined: Thu Oct 25, 2018 12:18 pm

Problem Installing Salome 8.5 with Code_Saturne 5.0.9

Post by Mohammad » Thu Oct 25, 2018 12:24 pm

Hi,
First, I installed Salome 8.5.
It has been installed in the directory: "/home/mohammad/salome".

Then, I installed Code_Saturne 5.0.9 Autumatically and edited setup file to this one:
(Just edited the installation directory and Defined salome installation path)

Code: Select all

#========================================================
# Setup file for Code_Saturne installation
#========================================================
#
#--------------------------------------------------------
# Download packages ?
#--------------------------------------------------------
download  yes
#
#--------------------------------------------------------
# Language
#   default: "en" english
#   others:  "fr" french
#--------------------------------------------------------
language  en
#
#--------------------------------------------------------
# Install Code_Saturne with debugging symbols
#--------------------------------------------------------
debug     no
#
#--------------------------------------------------------
# Installation directory
#--------------------------------------------------------
prefix    /home/mohammad/cfd/Code_Saturne/5.0.9
#
#--------------------------------------------------------
# Optional architecture Name (installation subdirectory)
#--------------------------------------------------------
use_arch  no
arch      Linux_x86_64
#
#--------------------------------------------------------
# C compiler and optional MPI wrapper
#--------------------------------------------------------
compC     /usr/bin/cc
mpiCompC  auto
#
#--------------------------------------------------------
# Fortran compiler
#--------------------------------------------------------
compF    /usr/bin/f95
#
#--------------------------------------------------------
# C++ compiler and MPI wrapper for optional packages
#
# Required only for static builds using the MED library
# or for build of optional modules such as MEDCoupling
# support.
#--------------------------------------------------------
compCxx     /usr/bin/c++
mpiCompCxx  auto
#
#--------------------------------------------------------
# Python interpreter.
#--------------------------------------------------------
python    /usr/bin/python
#
#--------------------------------------------------------
# Disable the Graphical user Interface ?
#--------------------------------------------------------
disable_gui  no
#
#--------------------------------------------------------
# Disable frontend (also disables GUI) ?
# May be useful for debug builds and HPC cluster builds
# installed side-by side with a full build.
#--------------------------------------------------------
disable_frontend  no
#
#--------------------------------------------------------
# Optional SALOME platform install path.
#
# This is the path for the main SALOME directory,
# not the application directory.
#
# If Code_Saturne is built with SALOME support,
# running "code_saturne salome" will launch the
# associated application, containing the CFDSTUDY module.
#--------------------------------------------------------
salome    /home/mohammad/salome
#
#--------------------------------------------------------
# Optional packages:
# ------------------
#
# MED / HDF5  For MED file format support
#             (used by SALOME and by Gmsh)
#
# CGNS / HDF5 For CGNS file support
#             (used by many meshing tools)
#
# Scotch (includes PT-Scotch) and/or ParMetis
# for parallel partitioning
#
#   For Linux workstations, HDF5, CGNS, and even MED
# packages may be available through the package manager.
# HDF5 is also often available on large systems.
# When building with SALOME, the platform distribution's
# packages may be used, by setting in the matching entry
# 'yes' under the "Use" column and simply 'salome' under
# the path column.
#
# Scotch and Pt-Scotch are available in some Linux
# distributions, but may be built with options
# incompatible with non-threaded Code_Saturne runs.
#
#   To install CGNS or ParMetis, the CMake
# configuration/installation tool is required
# (it is available in most Linux distributions)
#
#   Libxml2 is needed to read XML files output by the
# Graphical User Interface. It is generally available
# through the package manager.
#--------------------------------------------------------
#
#  Name    Use   Install  Path
#
hdf5       no    no       None
cgns       no    no       None
med        no    no       None
scotch     no    no       None
parmetis   no    no       None
libxml2    auto  no       None
#
#========================================================
Now, after the code_saturne is installed when I want to use "code_saturne salome" it says:
"SALOME is not available in this installation."

What's The Problem?

Thanks

Yvan Fournier
Posts: 2638
Joined: Mon Feb 20, 2012 3:25 pm

Re: Problem Installing Salome 8.5 with Code_Saturne 5.0.9

Post by Yvan Fournier » Thu Oct 25, 2018 6:35 pm

Hello,

SALOME is often installed in two subdirectories, for example appli_V8_5 and Salome-V8_5...

The path you need to specify is the one of the main part of the installation, usually named Salome-Vx_y... (we cannot simply use the top-level "salome" directory because it can sometimes contain multiple installations).

Best regards,

Yvan

Post Reply